%define real_name iperf

Name: iperf_64
Version: 2.0.10
Release: 1
Summary: Measurement tool for TCP/UDP bandwidth performance
License: BSD
Group: Applications/Internet
URL: http://sourceforge.net/projects/iperf2/
Source0: http://sourceforge.net/projects/iperf2/files/%{real_name}-%{version}.tar.gz
Patch0: %{real_name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, datagram loss.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n %{real_name}-%{version}
%patch0 -p0


%build
export OBJECT_MODE=64
export CC=xlc_r
export CXX=xlC_r
export CFLAGS="-O"
export CXXFLAGS="-O"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
export OBJECT_MODE=64

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README doc/*.gif doc/*.html
%{_bindir}/iperf
%{_mandir}/man?/iperf.*
/usr/bin/iperf


%changelog
* Thu Jun 14 2018 Michael Perzl <michael@perzl.org> - 2.0.10-1
- Updated to version 2.0.10

* Thu Jun 01 2017 Michael Perzl <michael@perzl.org> - 2.0.9-1
- Updated to version 2.0.9

* Wed May 11 2016 Michael Perzl <michael@perzl.org> - 2.0.8-1
- Updated to version 2.0.8

* Mon Jul 29 2013 Michael Perzl <michael@perzl.org> - 2.0.5-1
- rebuilt as 64-bit version and renamed to 'iperf_64'

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 2.0.5-1
- Updated to version 2.0.5

* Mon Aug 18 2008 Michael Perzl <michael@perzl.org> - 2.0.4-1
- Updated to version 2.0.4

* Mon Aug 20 2007 Michael Perzl <michael@perzl.org> - 2.0.2-1
- First version for AIX5L V5.1 and higher
